function displayFloats(classCode,preCode) {
	var pid  = $("#pid").val();
	var claimNo=$("#claim-no").val();
	var sMgappno=$("#sPolicyno").html();
	var sGroupno=$("#sGroupno").val();
	
	var sPolicyno  = $("#policy-no").val();
	var str=preCode.split("-");
	$("#classCode").html("");
	$("#spreCode").html("");
	$("#accType").html("");
	$("#totalPremPublic").html("");
	$("#isPublicCoverage").html("");
	$("#remainPremPerson").html("");
	$("#remainPremPublic").html("");
//	$("#observationPeriod").html("");
	$("#chwshshLmt").html("");
	$("#hlyshLmt").html("");
	$("#zhiliaoLmt").html("");
	$("#flypLmt").html("");
	$("#shoushuLmt").html("");
	$("#zhirutiLmt").html("");
	$("#qgyizhiLmt").html("");
	$("#jianchaLmt").html("");
	$("#zhzhchwLmt").html("");
	$("#wulizhlLmt").html("");
	$("#jiuhucheLmt").html("");
	$("#specificOwnRate").html("");
	$("#unauthorizedOwnRate").html("");
	$("#preyearLmt").html("");
	$("#pretimeLmt").html("");
	$("#zhlghLmt").html("");
	$("#mzshshLmt").html("");
	$("#wltdzhlLmt").html("");
	$("#yfPayRate").html("");
	$("#jcPayRate").html("");
	$("#zdPayRate").html("");
	$("#hospitalizedDays").html("");
	$("#remainPayDays").html("");
	$("#severeHospDays").html("");
	$("#remainHospDays").html("");
	$("#remainNumber").html("");
//	$("#pay-Rate").html("");
	$("#remainDeductible").html("");
	$("#totalPremPerson").html("");
	$("#totalPremPublic").html("");
	$("#hlyshLmts").html("" );
	$("#zhiliaoLmts").html("");
	$("#flypLmts").html("");
	$("#shoushuLmts").html("");
	$("#wulizhlLmts").html("");
	$("#jianchaLmts").html("");
	$("#preyearLmts").html("");
	$("#mzshshLmt").html("" );
	$("#payDays").html("");
	$("#hospDays").html("" );
	$("#remainHospDays").html("" );
	$("#totalNumber").html("");
	$("#remainNumber").html("");
	
	$("#healthCareRange").html("");
	$("#healthCareDrugs").html("");
	$("#healthCareZhenl").html("");
	$("#ifOwnAmt").html("");
	$("#feesRate").html("");
	$("#payLimit").html("");
	$("#remainPayLimit").html("");
	$("#allowanceLimitDays").html("");
	$("#remainLimitDays").html("");
	$("#lmtPayDays").html("");
	$("#remainLmtPayDays").html("");
	$("#freeYearAmt").html("");
	$("freeAmt").html("");
	$("#freeDays").html("");
	$("#payRate").html("");
	$("#nonHospPayRate").html("");
	$("#waitingPeriod").html("");
	$("#dailyAllowance").html("");
	$("#qgyizhiLmts").html("");
	$("#zhirutiLmts").html("");
	$("#jiuhucheLmts").html("");
	
	$("#remainDeductibles").html("");
	
	var rootPath = getRootPath();
	var requestUrl = rootPath+"/claimserver/dataenter/getFolats.do";
	  $.ajax({
		  type:"POST",
		  url:requestUrl,
		  data:{"claimNo":claimNo,"pid":pid,"sPolicyno":sPolicyno,"classCode":classCode,"spreCode":str[0],"zpreCode":str[1],"sMgappno":sMgappno,"sGroupno":sGroupno},
		  error: function(request) {
	            alert("操作失败！");
	            return;
	        },
	        success : function (data) {
	        	if(data!=""){
	        		$("#classCode").html(classCode);
	        		if(preCode!=""){//如果责任代码为空就不显示此项
	        			$("#spreCode").html(str[0]+"-"+str[1]);
	        		}
	        		if(str[0]+str[1]=='13200'||str[0]+str[1]=='09410'){
	        			$("#wulis").html("物理替代治疗费次数");
	        		}
	        		if(str[0]+str[1]=='13413'|| str[0]+str[1]=='09414'){
	        			$("#wulis").html("洗牙费次数");
	        		}
	        		$("#accType").html(data.accType);
	        		$("#totalPremPublic").html(data.totalPremPublic);
	        		$("#isPublicCoverage").html(data.isPublicCoverage);
	        		$("#remainPremPerson").html(data.remainPremPerson);
	        		$("#remainPremPublic").html(data.remainPremPublic);
//	        		$("#observationPeriod").html(data.observationPeriod);
	        		$("#chwshshLmt").html(data.chwshshLmt);
	        		$("#hlyshLmt").html(data.hlyshLmt);
	        		$("#zhiliaoLmt").html(data.zhiliaoLmt);
	        		$("#flypLmt").html(data.flypLmt);
	        		$("#shoushuLmt").html(data.shoushuLmt);
	        		$("#zhirutiLmt").html(data.zhirutiLmt);
	        		$("#qgyizhiLmt").html(data.qgyizhiLmt);
	        		$("#qgyizhiLmts").html(data.floatingMap.qgyizhiLmt);
	        		$("#jianchaLmt").html(data.jianchaLmt);
	        		$("#zhzhchwLmt").html(data.zhzhchwLmt);
	        		$("#wulizhlLmt").html(data.wulizhlLmt);
	        		$("#jiuhucheLmt").html(data.jiuhucheLmt);
	        		$("#jiuhucheLmts").html(data.floatingMap.jiuhucheLmt);
	        		$("#zhirutiLmts").html(data.floatingMap.zhirutiLmt);
	        		$("#specificOwnRate").html(data.specificOwnRate);
	        		$("#unauthorizedOwnRate").html(data.unauthorizedOwnRate);
	        		$("#preyearLmt").html(data.preyearLmt);
	        		$("#pretimeLmt").html(data.pretimeLmt);
	        		$("#zhlghLmt").html(data.zhlghLmt);
	        		$("#mzshshLmt").html(data.mzshshLmt);
	        		$("#wltdzhlLmt").html(data.wltdzhlLmt);
	        		$("#yfPayRate").html(data.yfPayRate);
	        		$("#jcPayRate").html(data.jcPayRate);
	        		$("#zdPayRate").html(data.zdPayRate);
	        		$("#hospitalizedDays").html(data.hospitalizedDays);
	        		$("#remainPayDays").html(data.remainPayDays);
	        		$("#severeHospDays").html(data.severeHospDays);
	        		$("#remainHospDays").html(data.remainHospDays);
	        		$("#remainNumber").html(data.remainNumber);
//	        		$("#pay-Rate").html(data.payRate);
	        		$("#remainDeductible").html(data.remainDeductible);
	        		$("#totalPremPerson").html(data.floatingMap.totalPremPerson);
	        		$("#totalPremPublic").html(data.floatingMap.totalPremPublic );
	        		$("#hlyshLmts").html(data.floatingMap.hlyshLmt );
	        		$("#zhiliaoLmts").html(data.floatingMap.zhiliaoLmt );
	        		$("#flypLmts").html(data.floatingMap.flypLmt );
	        		$("#shoushuLmts").html(data.floatingMap.shoushuLmt );
	        		$("#wulizhlLmts").html(data.floatingMap.wulizhlLmt );
	        		$("#jianchaLmts").html(data.floatingMap.jianchaLmt );
	        		$("#preyearLmts").html(data.floatingMap.preyearLmt );
	        		$("#mzshshLmt").html(data.floatingMap.mzshshLmt );
	        		$("#payDays").html(data.floatingMap.payDays );
	        		$("#hospDays").html(data.floatingMap.hospDays );
	        		$("#remainHospDays").html(data.remainHospDays );
	        		$("#totalNumber").html(data.floatingMap.totalNumber );
	        		$("#remainNumber").html(data.remainNumber );
	        		
	        		
	        		$("#healthCareRange").html(data.healthCareRange);
	        		$("#healthCareDrugs").html(data.healthCareDrugs);
	        		$("#healthCareZhenl").html(data.healthCareZhenl);
	        		$("#ifOwnAmt").html(data.ifOwnAmt);
	        		$("#feesRate").html(data.feesRate);
	        		$("#payLimit").html(data.payLimit);
	        		$("#remainPayLimit").html(data.remainPayLimit);
	        		$("#allowanceLimitDays").html(data.allowanceLimitDays);
	        		$("#remainLimitDays").html(data.remainLimitDays);
	        		$("#lmtPayDays").html(data.lmtPayDays);
	        		$("#remainLmtPayDays").html(data.remainLmtPayDays);
	        		$("#freeYearAmt").html(data.freeYearAmt);
	        		$("#freeAmt").html(data.freeAmt);
	        		$("#freeDays").html(data.freeDays);
	        		$("#payRate").html(data.payRate);
	        		$("#nonHospPayRate").html(data.nonHospPayRate);
	        		$("#waitingPeriod").html(data.waitingPeriod);
	        		$("#dailyAllowance").html(data.dailyAllowance);
	        		$("#feesRate").html(data.feesRate);
					$("#isShareCoverage").html(data.isShareCoverage);//wbs新增险种内责任是否共用保额
	        		
	        		$("#remainDeductibles").html(data.floatingMap.totalDeductible);
	        		
	        		delNullTr();
	        		showDiv('jbresult');
	        	}
	        	
			}
	  });
	   
	  function delNullTr(){
		 var tableStr = $("#jbresult table:eq(0) tr");
		 for(var i=1;i<tableStr.length;i++){
			 var a = $(tableStr[i]);
			 if(a[0].cells[1].innerHTML==""||a[0].cells[1].innerHTML==undefined){
//				 var bbbbbb = $("#jbresult table:eq(0) tr:eq("+i+")");
				 $("#jbresult table:eq(0) tr:eq("+i+")").hide();
			 }else {
				 $("#jbresult table:eq(0) tr:eq("+i+")").show();
			}
		 }
	  }
	  
}



function getRootPath(){
    //获取当前网址
    var curWwwPath=window.document.location.href;
    //获取主机地址之后的目录
    var pathName=window.document.location.pathname;
    var pos=curWwwPath.indexOf(pathName);
    //获取主机地址
    var localhostPaht=curWwwPath.substring(0,pos);
    //获取带"/"的项目名
    return localhostPaht;
}